esl-histplot(1)

NAME
esl-histplot - collate data histogram, output xmgrace datafile

SYNOPSIS
esl-histplot [options] datafile

DESCRIPTION

esl-histplot summarizes numerical data in the input file datafile.

One real-numbered value is taken from each line of the input file. Each line is split into whitespace-delimited fields, and one field is converted to data. By default this is the first field; this can be changed by the -f option.

Default output is a survival plot (Prob(value > x)) in xmgrace XY data format, to stdout. Output may be directed to a file with the -o option.

If datafile is - (a single dash), input lines are read from stdin instead of opening a file.

OPTIONS

-f <n>
    Read data from whitespace-delimited field <n> on each line, instead of the first field. Fields are numbered starting from 1.

-h  Print brief help; includes version number and summary of all options, including expert options.

-o <f>
    Send output to file <f> instead of stdout.

SEE ALSO
http://bioeasel.org/

COPYRIGHT
Copyright (C) 2019 Howard Hughes Medical Institute.
Freely distributed under the BSD open source license.

AUTHOR
http://eddylab.org